## org.biojava.naming
Class ObdaInitialContextFactory

    java.lang.Object
      org.biojava.naming.ObdaInitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class ObdaInitialContextFactory

extends Object
implements InitialContextFactory

Author:
  Matthew Pocock

Constructor Summary
`ObdaInitialContextFactory()`

Method Summary
`Context` `getInitialContext(Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObdaInitialContextFactory

    public ObdaInitialContextFactory()

Method Detail

### getInitialContext

    public Context getInitialContext(Hashtable environment)
                              throws NamingException

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Throws:
    `NamingException`